local vector = require 'lib.vector'

local Box = Class.Game.Kinematic:extend()

function Box:new(world, pos)
  Class.Game.Kinematic.new(self, world, pos, vector(50, 50))
end

function Box:filter(col)
  if col.other:is(Class.Game.Wall) and col.other ~= self.standing then
    if col.normal.x ~= 0 then
      self.velocity.x = 0
    end
    if col.normal.y ~= 0 then
      self.velocity.y = 0
      if col.normal.y < 0 then
        self.standing = col.other
      end
    end
    return true
  end

  if col.other:is(Class.Game.Player) and col.other ~= self.standing then
    if col.normal.x ~= 0 then
      return true
    end
  end
end

function Box:draw()
  self:drawHitbox {117, 80, 80}
end

return Box
