local vector = require 'lib.vector'

local Map = require('lib.classic'):extend()

function Map:new()
  self.world = require('lib.bump').newWorld()
  self.entities = {}
  self:add(Class.Game.Wall(self.world, vector(0, 500), vector(800, 50)))
  self:add(Class.Game.Wall(self.world, vector(0, 300), vector(50, 200)))
  self:add(Class.Game.Wall(self.world, vector(750, 300), vector(50, 200)))
  local wall = self:add(Class.Game.Wall(self.world, vector(50, 400), vector(100, 50)))
  wall.velocity = vector(100, 0)
  self:add(Class.Game.Player(self.world, vector(400, 300)))
  self:add(Class.Game.Box(self.world, vector(100, 200)))
end

function Map:add(entity)
  table.insert(self.entities, entity)
  return entity
end

function Map:update(dt)
  for _, entity in pairs(self.entities) do
    entity:update(dt)
  end
end

function Map:draw()
  for _, entity in pairs(self.entities) do
    entity:draw()
  end
end

return Map
