local Control = {Axis = {}, Button = {}}

local tactile   = require 'lib.tactile'
local k, as, gb = tactile.key, tactile.analogStick, tactile.gamepadButton

local keyboardXAxis = tactile.binaryAxis(k 'left', k 'right')
local keyboardYAxis = tactile.binaryAxis(k 'up', k 'down')

Control.Axis.Horizontal = tactile.newAxis(as('leftx', 1), keyboardXAxis)
Control.Axis.Vertical   = tactile.newAxis(as('lefty', 1), keyboardYAxis)

Control.Button.Primary = tactile.newButton(gb('a', 1), k 'x')

function Control:update()
  for _, button in pairs(Control.Button) do
    button:update()
  end
end

return Control
